import { createSSRApp } from "vue";
import App from "./App.vue";
import store from "./store";
import Vconsole from "vconsole";
import NavBar from "@/components/navBar/index.vue";
// 字体
import "@/assets/font.css";
import { formatTimestamp } from "@/utils/formatTimestamp";
export function createApp() {
    const app = createSSRApp(App);
    app.config.globalProperties.$formatTimestamp = formatTimestamp;
    app.component("NavBar", NavBar);
    // const vConsole = new Vconsole();
    app.use(store);
    // app.use(Button);
    // app.use(vConsole);
    return {
        app
    };
}
